Page MenuHomeFreeBSD

editors/emacs-devel: Update to latest commit on master branch.
ClosedPublic

Authored by jrm on Jan 22 2017, 3:04 AM.

Details

Summary

editors/emacs-devel: Update to latest commit on master branch.

  • Switch to using the supplied autoconf.sh, because it is required on 10.3 to create nt/gnulib.mk.
  • Patch to accept makeinfo versions as far back as 4.8, which is the version in 10.3 base.
Test Plan

portlint -C: OK
testport: OK (poudriere: 10.3-RELEASE-p10, i386, default options)
testport: OK (poudriere: 10.3-RELEASE-p10, amd64, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, i386, default options)
testport: OK (poudriere: 11.0-RELEASE-p1, amd64, default options)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 6940
Build 7127: arc lint + arc unit

Event Timeline

jrm updated this revision to Diff 24302.Jan 22 2017, 3:04 AM
jrm retitled this revision from to editors/emacs-devel: Update to latest commit on master branch..
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3, ashish.
swills accepted this revision.Jan 23 2017, 1:08 PM
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Jan 23 2017, 1:08 PM
jrm added a comment.Jan 23 2017, 6:28 PM

I will wait for your approval ashish. In the future, how would you feel about implicit approval for updates that only include a PORTREVISION bump? For the development version, I feel it's important to have frequent updates, so new bugs in the master branch are discovered as early as possible.

ashish edited edge metadata.Jan 24 2017, 1:05 AM

The diff looks good, although xwidgets option is broken, because it relies on a later version of WebKit GTK3 which is not yet in ports tree, so might want to add a IGNORE clause for that, or just remove it for now.

In D9287#192339, @jrm wrote:

implicit approval for updates that only include a PORTREVISION bump? For the development version, I feel it's important to have frequent updates, so new bugs in the master branch are discovered as early as possible.

Sure, for PORTREVISION bump, but this update is not that.

jrm updated this revision to Diff 24362.Jan 24 2017, 2:44 AM
jrm edited edge metadata.

Set IGNORE when the XWIDGETS option is turned on. Seeing the IGNORE message may motivate some WebKit GTK3 work.

This revision now requires review to proceed.Jan 24 2017, 2:44 AM
jrm added a comment.Jan 24 2017, 2:48 AM

Agreed. This diff would not qualify. If even a single line other than the PORTVERSION is changed in the Makefile, the normal approval process would apply.

jrm updated this revision to Diff 24363.Jan 24 2017, 3:02 AM
jrm edited edge metadata.

Tweak the IGNORE message when the XWIDGETS option is selected.

jrm updated this revision to Diff 24364.Jan 24 2017, 3:03 AM

Remove period at the end of the IGNORE message.

ashish accepted this revision.Jan 24 2017, 5:59 AM
ashish edited edge metadata.

Looks good to me. Please proceed.

Thanks!

This revision is now accepted and ready to land.Jan 24 2017, 5:59 AM
This revision was automatically updated to reflect the committed changes.